[Mongo Portable](../README.md) > [Clause](../classes/clause.md)



# Class: Clause

## Index

### Properties

* [key](clause.md#key)
* [kind](clause.md#kind)
* [type](clause.md#type)
* [value](clause.md#value)



---
## Properties
<a id="key"></a>

###  key

**●  key**:  *`string`* 

*Defined in [selector/Selector.ts:10](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/selector/Selector.ts#L10)*





___

<a id="kind"></a>

###  kind

**●  kind**:  *`string`* 

*Defined in [selector/Selector.ts:11](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/selector/Selector.ts#L11)*





___

<a id="type"></a>

###  type

**●  type**:  *`string`* 

*Defined in [selector/Selector.ts:12](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/selector/Selector.ts#L12)*





___

<a id="value"></a>

###  value

**●  value**:  *`any`* 

*Defined in [selector/Selector.ts:13](https://github.com/EastolfiWebDev/MongoPortable/blob/b563243/src/selector/Selector.ts#L13)*





___


